# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc根据规格型号获取对应商品列表,2264,2264-21,sit,bs
主数据平台:运营后台管理系统根据规格型号获取对应商品列表查询接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json
import random

module = "cmdc_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步查询规格型号
# 随机生成商品规格型号
material_code_input = random.randint(1, 100)

# 第二步查询规格型号
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url5")
request_body = commonFuc().get_business_data(module, "payload5", material_code_input)

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
result = json.loads(result.content)

# 获取规格型号
specifications = result["data"][1]
# 第三步根据规格型号获取对应的商品列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url4")
request_body = commonFuc().get_business_data(module, "payload4", specifications)

"""
 场景:根据规格型号获取对应商品列表
 用例名称：根据规格型号获取对应商品列表
 输出：{"success":true,"code":"200","message":"OK"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)

result = {"optionStr": result["data"]["list"][0]["optionStr"]}

result["api_time"] = api_time
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict4", specifications)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
