# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询物流信息_发票清单列表,2294,2294-38,sit,be
主数据平台:多采商城获取物流信息接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import random
import requests
import datetime
import json

module = "cmdc_trade"

# 第一步获取登录多采商城所需账号密码
username = commonFuc().get_business_data(module, "username_be")
password = commonFuc().get_business_data(module, "password_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取发票清单列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url35")
request_body = commonFuc().get_business_data(module, "payload35")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
invoice_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取发票信息
invoice_no = result["data"]["list"][invoice_random]["invoiceNo"]

# 第三步获取物流信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url37")
request_body = commonFuc().get_business_data(module, "payload37", invoice_no)

"""

 场景: 验证是否可获取到对应的物流信息
 用例名称：查询物流信息_发票清单列表
 输出：{"success":true,"code":"200","message":"未查询到数据","data":null,"freshToken":null}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

result = json.loads(result.content)

result["api_time"] = api_time
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict37")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
